#include <stdio.h>
#define YES 1
#define NO  0

main()      /* Folgen von ' ' bzw. '\t' durch ' ' ersetzen */
{
  int c;
  int inleer; inleer = NO;

  while((c = getchar()) != EOF)
    switch(c)  {
      case '\t':
      case ' ' :
        if(inleer == NO)  {
          inleer = YES;
          putchar(' ');
        }
        break; /* unbedingter Abbruch der switch-Anweisung */
      default:
        inleer = NO;
        putchar(c);
        break;
    }
}
